{
  pkgs,
  lib,
  ...
}: {
  config.nixpkgs.config = {
    allowUnfree = false;

    allowUnfreePredicate = pkg:
      builtins.elem (lib.getName pkg) [
        "vscode"
        "vscode-extension-MS-python-vscode-pylance"
        "vscode-extension-github-copilot"
        "osu-lazer"
      ];
  };

  config.home.packages = with pkgs; [
    # Basic utils
    unzip
    magic-wormhole

    # Important graphical applications
    keepassxc
    logseq
    xournalpp
    onlyoffice-bin

    # Communication
    webcord
    telegram-desktop
    signal-desktop
    element-desktop

    # Creative software
    gimp

    # Misc
    comma # Run any binary from the repos with a comma `, cowsay neato`
    gnome-decoder
    tor-browser-bundle-bin
  ];
}
